(*
This is a demo of the previous ARJ-View unit.
The unit and this were written for Turbo Pascal 6.0,
but adapting them for 5.5 or 5.0 shouldn't be to hard for you to do.
---------- *)

Program ARJViewer; { View ARJ Archive Contents }

{$X+,D-,L-,S+,R-,V-}
{$M 2500,1344,1344}

Uses Dos, ArjView;

var
  fname : PathStr;
  f : file;
  r : integer;
  s : String[127];
  ep : pointer;

Procedure eclose; far;
begin
  Close(f);
  ExitProc := ep;
end;

begin
  if paramcount > 1 then
   for r := 2 to paramcount do
    begin
      s := paramstr(r);
      if (ord(s[0]) > 1) AND (s[1] = '/') then
       case s[2] of
         'P','p' : ShowPaths := True;
         'R','r' : ShowCRCs := False;
         'F','f' : ShowFlags := False;
       end;
    end;
  if paramstr(1) = '' then
   begin
     Writeln('ARJ Viewer Pascal 1.31 -- Copyright (c) 1991 Greg Smith');
     Writeln('Converted from AV.C Ver 1.2 (c) 1990 Robert K Jung');
     Writeln;
     Writeln('  Usage: AV <filename> [parameter(s)]');
     Writeln('   /p = show paths      /r = no CRCs      /f = no flags');
     halt;
   end;
  fname := paramstr(1);
  if Pos('.',fname) = 0 then fname := fname +'.ARJ';
  Assign(f,fname);
  Reset(f,1);
  ep := ExitProc;
  ExitProc := @eClose;
  Writeln(#13,#10,'Viewing: ',fname);
  r := View_ARJ(output,f);
  case r of
     0 : { good } ;
    -3 : Writeln('Bad Header');
    -4 : Writeln('Bad Header Size');
    -5 : Writeln('Bad Header CRC');
  else
   Writeln('Unknown error #',r);
  end;
  Close(f);
  ExitProc := ep;
end.
